//
//  TeamViewController.m
//  League Manager
//
//  Created by Rob Warner on 8/18/10.
//  Copyright (c) 2010 Availity, LLC. All rights reserved.
//

#import "TeamViewController.h"
#import "RootViewController.h"

@implementation TeamViewController

@synthesize name;
@synthesize uniformColor;
@synthesize team;
@synthesize rootController;

- (id)initWithRootController:(RootViewController *)aRootController team:(NSManagedObject *)aTeam {
  if ((self = [super init])) {
    self.rootController = aRootController;
    self.team = aTeam;
  }
  return self;
}

- (void)viewDidLoad {
  [super viewDidLoad];
  if (team != nil) {
    name.text = [team valueForKey:@"name"];
    uniformColor.text = [team valueForKey:@"uniformColor"];
  }
}

- (IBAction)save:(id)sender {
  if (rootController != nil) {
    if (team != nil) {
      [team setValue:name.text forKey:@"name"];
      [team setValue:uniformColor.text forKey:@"uniformColor"];
      [rootController saveContext];
    } else {
      [rootController insertTeamWithName:name.text uniformColor:uniformColor.text];
    }
  }
  [self dismissModalViewControllerAnimated:YES];
}

- (IBAction)cancel:(id)sender {
  [self dismissModalViewControllerAnimated:YES];
}

- (void)didReceiveMemoryWarning {
  [super didReceiveMemoryWarning];
}

- (void)viewDidUnload {
  [super viewDidUnload];
}

- (void)dealloc {
  [team release];
  [rootController release];
  [super dealloc];
}

@end
